Skip to content

Provider Tickets

Operations Summary

Method Endpoint Description
Core CRUD
GET /api/provider-tickets/ List Provider Tickets
GET /api/provider-tickets/{uuid}/ Retrieve
PUT /api/provider-tickets/{uuid}/ Update
PATCH /api/provider-tickets/{uuid}/ Partial Update
Other Actions
GET /api/provider-tickets/{uuid}/customer_context/ Get customer context for this ticket
GET /api/provider-tickets/stats/ Get statistics for provider tickets
POST /api/provider-tickets/{uuid}/assign/ Assign
POST /api/provider-tickets/{uuid}/claim/ Claim
POST /api/provider-tickets/{uuid}/comment/ Comment
POST /api/provider-tickets/{uuid}/resolve/ Resolve

Core CRUD

List Provider Tickets

1
2
3
4
http \
  GET \
  https://api.example.com/api/provider-tickets/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.provider_ticket_o_enum import ProviderTicketOEnum # (1)
from waldur_api_client.api.provider_tickets import provider_tickets_list # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = provider_tickets_list.sync(client=client)

for item in response:
    print(item)
  1. Model Source: ProviderTicketOEnum
  2. API Source: provider_tickets_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { providerTicketsList } from 'waldur-js-client';

try {
  const response = await providerTicketsList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
is_escalated boolean
o array Ordering

page integer A page number within the paginated result set.
page_size integer Number of results to return per page.
priority string
provider_assignee string (uuid)
sla_breached boolean
status string
summary string

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
url string (uri)
uuid string (uuid)
key string
summary string
description string
type string
status string
priority string
created string (date-time)
modified string (date-time)
parent_issue_key string
parent_issue_uuid string (uuid)
is_escalated boolean Whether this issue has been escalated.
escalated_at string (date-time) When the issue was escalated.
provider_assignee string (uuid)
provider_assignee_name string
first_response_deadline string (date-time) Deadline for first response from support staff.
resolution_deadline string (date-time) Deadline for issue resolution.
first_response_at string (date-time) Timestamp of first response from support staff.
sla_breached boolean Whether SLA has been breached for this issue.
customer string (uri)
customer_uuid string (uuid)
customer_name string
project string (uri)
project_uuid string (uuid)
project_name string

Retrieve

1
2
3
4
http \
  GET \
  https://api.example.com/api/provider-tickets/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.provider_tickets import provider_tickets_retrieve # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = provider_tickets_retrieve.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: provider_tickets_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { providerTicketsRetrieve } from 'waldur-js-client';

try {
  const response = await providerTicketsRetrieve({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

200 -

Field Type Description
url string (uri)
uuid string (uuid)
key string
summary string
description string
type string
status string
priority string
created string (date-time)
modified string (date-time)
parent_issue_key string
parent_issue_uuid string (uuid)
is_escalated boolean Whether this issue has been escalated.
escalated_at string (date-time) When the issue was escalated.
provider_assignee string (uuid)
provider_assignee_name string
first_response_deadline string (date-time) Deadline for first response from support staff.
resolution_deadline string (date-time) Deadline for issue resolution.
first_response_at string (date-time) Timestamp of first response from support staff.
sla_breached boolean Whether SLA has been breached for this issue.
customer string (uri)
customer_uuid string (uuid)
customer_name string
project string (uri)
project_uuid string (uuid)
project_name string

Update

1
2
3
4
http \
  PUT \
  https://api.example.com/api/provider-tickets/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.provider_ticket_request import ProviderTicketRequest # (1)
from waldur_api_client.api.provider_tickets import provider_tickets_update # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = ProviderTicketRequest()
response = provider_tickets_update.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: ProviderTicketRequest
  2. API Source: provider_tickets_update
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { providerTicketsUpdate } from 'waldur-js-client';

try {
  const response = await providerTicketsUpdate({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required Description
escalated_at string (date-time) When the issue was escalated.
customer string (uri)
project string (uri)

200 -

Field Type Description
url string (uri)
uuid string (uuid)
key string
summary string
description string
type string
status string
priority string
created string (date-time)
modified string (date-time)
parent_issue_key string
parent_issue_uuid string (uuid)
is_escalated boolean Whether this issue has been escalated.
escalated_at string (date-time) When the issue was escalated.
provider_assignee string (uuid)
provider_assignee_name string
first_response_deadline string (date-time) Deadline for first response from support staff.
resolution_deadline string (date-time) Deadline for issue resolution.
first_response_at string (date-time) Timestamp of first response from support staff.
sla_breached boolean Whether SLA has been breached for this issue.
customer string (uri)
customer_uuid string (uuid)
customer_name string
project string (uri)
project_uuid string (uuid)
project_name string

Partial Update

1
2
3
4
http \
  PATCH \
  https://api.example.com/api/provider-tickets/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.patched_provider_ticket_request import PatchedProviderTicketRequest # (1)
from waldur_api_client.api.provider_tickets import provider_tickets_partial_update # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = PatchedProviderTicketRequest()
response = provider_tickets_partial_update.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: PatchedProviderTicketRequest
  2. API Source: provider_tickets_partial_update
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { providerTicketsPartialUpdate } from 'waldur-js-client';

try {
  const response = await providerTicketsPartialUpdate({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required Description
escalated_at string (date-time) When the issue was escalated.
customer string (uri)
project string (uri)

200 -

Field Type Description
url string (uri)
uuid string (uuid)
key string
summary string
description string
type string
status string
priority string
created string (date-time)
modified string (date-time)
parent_issue_key string
parent_issue_uuid string (uuid)
is_escalated boolean Whether this issue has been escalated.
escalated_at string (date-time) When the issue was escalated.
provider_assignee string (uuid)
provider_assignee_name string
first_response_deadline string (date-time) Deadline for first response from support staff.
resolution_deadline string (date-time) Deadline for issue resolution.
first_response_at string (date-time) Timestamp of first response from support staff.
sla_breached boolean Whether SLA has been breached for this issue.
customer string (uri)
customer_uuid string (uuid)
customer_name string
project string (uri)
project_uuid string (uuid)
project_name string

Other Actions

Get customer context for this ticket

1
2
3
4
http \
  GET \
  https://api.example.com/api/provider-tickets/a1b2c3d4-e5f6-7890-abcd-ef1234567890/customer_context/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.provider_tickets import provider_tickets_customer_context_retrieve # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = provider_tickets_customer_context_retrieve.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: provider_tickets_customer_context_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { providerTicketsCustomerContextRetrieve } from 'waldur-js-client';

try {
  const response = await providerTicketsCustomerContextRetrieve({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

200 -

Field Type
caller object
caller.full_name string
caller.email string (email)
caller.organization string
resource any
recent_tickets array of objects
recent_tickets.uuid string (uuid)
recent_tickets.key string
recent_tickets.summary string
recent_tickets.status string
recent_tickets.created string (date-time)

Get statistics for provider tickets

1
2
3
4
http \
  GET \
  https://api.example.com/api/provider-tickets/stats/ \
  Authorization:"Token YOUR_API_TOKEN"
1
2
3
4
5
6
7
8
9
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.provider_tickets import provider_tickets_stats_retrieve # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = provider_tickets_stats_retrieve.sync(client=client)

print(response)
  1. API Source: provider_tickets_stats_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { providerTicketsStatsRetrieve } from 'waldur-js-client';

try {
  const response = await providerTicketsStatsRetrieve({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}

200 -

Field Type
total_open integer
total_resolved integer
total_escalated integer
sla_breach_count integer
avg_resolution_hours number (double)
by_status object (free-form)

Assign

1
2
3
4
5
http \
  POST \
  https://api.example.com/api/provider-tickets/a1b2c3d4-e5f6-7890-abcd-ef1234567890/assign/ \
  Authorization:"Token YOUR_API_TOKEN" \
  provider_support_user="a1b2c3d4-e5f6-7890-abcd-ef1234567890"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.provider_assign_request import ProviderAssignRequest # (1)
from waldur_api_client.api.provider_tickets import provider_tickets_assign # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = ProviderAssignRequest(
    provider_support_user="a1b2c3d4-e5f6-7890-abcd-ef1234567890"
)
response = provider_tickets_assign.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: ProviderAssignRequest
  2. API Source: provider_tickets_assign
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
import { providerTicketsAssign } from 'waldur-js-client';

try {
  const response = await providerTicketsAssign({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  },
  body: {
    "provider_support_user": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required
provider_support_user string (uuid)

200 -

Field Type
status string

Claim

1
2
3
4
http \
  POST \
  https://api.example.com/api/provider-tickets/a1b2c3d4-e5f6-7890-abcd-ef1234567890/claim/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.provider_ticket_request import ProviderTicketRequest # (1)
from waldur_api_client.api.provider_tickets import provider_tickets_claim # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = ProviderTicketRequest()
response = provider_tickets_claim.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: ProviderTicketRequest
  2. API Source: provider_tickets_claim
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { providerTicketsClaim } from 'waldur-js-client';

try {
  const response = await providerTicketsClaim({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required Description
escalated_at string (date-time) When the issue was escalated.
customer string (uri)
project string (uri)

200 -

Field Type
status string

Comment

1
2
3
4
5
http \
  POST \
  https://api.example.com/api/provider-tickets/a1b2c3d4-e5f6-7890-abcd-ef1234567890/comment/ \
  Authorization:"Token YOUR_API_TOKEN" \
  description="A sample description."
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.provider_comment_request import ProviderCommentRequest # (1)
from waldur_api_client.api.provider_tickets import provider_tickets_comment # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = ProviderCommentRequest(
    description="A sample description."
)
response = provider_tickets_comment.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: ProviderCommentRequest
  2. API Source: provider_tickets_comment
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
import { providerTicketsComment } from 'waldur-js-client';

try {
  const response = await providerTicketsComment({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  },
  body: {
    "description": "A sample description."
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required
description string
is_public boolean

201 - No response body


Resolve

1
2
3
4
http \
  POST \
  https://api.example.com/api/provider-tickets/a1b2c3d4-e5f6-7890-abcd-ef1234567890/resolve/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.provider_tickets import provider_tickets_resolve # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = provider_tickets_resolve.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: provider_tickets_resolve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { providerTicketsResolve } from 'waldur-js-client';

try {
  const response = await providerTicketsResolve({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

200 -

Field Type
status string